View Issue Details

IDProjectCategoryView StatusLast Update
0021405mantisbtwikipublic2016-08-28 01:11
ReporteratrolAssigned Tovboctor 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.2Fixed in Version2.0.0-beta.2 
Summary0021405: Wiki integration broken
Description

There is no menu entry for wiki and there are no wiki buttons when viewing issues although $g_wiki_enable = ON;

Tagsmodern-ui

Activities

vboctor

vboctor

2016-07-21 18:25

manager   ~0053686

This is caused by

if( is_null( event_signal( 'EVENT_WIKI_INIT' ) ) ) {
    config_set_global( 'wiki_enable', OFF );
}

It may be that there is a plugin that I didn't install correctly. Will check.

vboctor

vboctor

2016-07-22 09:10

manager   ~0053691

PR: https://github.com/mantisbt/mantisbt/pull/823

Related Changesets

MantisBT: master 1ae70e8c

2016-07-22 09:09:10

vboctor

Details Diff
Fix Wiki Integration

Fixes 0021405
mod - core/classes/MantisCoreWikiPlugin.class.php Diff File

MantisBT: master bbc5742a

2016-07-23 02:44:39

vboctor

Details Diff
Use book icon for wiki menu option

Fixes 0021405
mod - core/layout_api.php Diff File

MantisBT: master 5ccd1217

2016-07-23 02:48:08

vboctor

Details Diff
Use small button style for Wiki btn on view issue

Fixes 0021405
mod - bug_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2016-07-21 14:17 atrol New Issue
2016-07-21 14:17 atrol Tag Attached: modern-ui
2016-07-21 14:18 atrol Target Version => 2.0.0-beta.2
2016-07-21 18:25 vboctor Note Added: 0053686
2016-07-22 09:10 vboctor Assigned To => vboctor
2016-07-22 09:10 vboctor Status new => assigned
2016-07-22 09:10 vboctor Note Added: 0053691
2016-07-22 19:49 vboctor Changeset attached => MantisBT master 1ae70e8c
2016-07-22 19:49 vboctor Status assigned => resolved
2016-07-22 19:49 vboctor Resolution open => fixed
2016-07-22 19:49 vboctor Fixed in Version => 2.0.0-beta.2
2016-07-23 02:48 vboctor Changeset attached => MantisBT master bbc5742a
2016-07-23 02:48 vboctor Changeset attached => MantisBT master 5ccd1217
2016-08-28 01:11 vboctor Status resolved => closed